Bug 428984 - --load-module fails silently
--load-module fails silently
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
low Severity low
: ---
: ---
Assigned To: messaging-bugs
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-16 11:21 EST by Matthew Farrellee
Modified: 2008-01-17 15:40 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-17 15:40:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2008-01-16 11:21:34 EST
Description of problem:
Specifying --load-module on the command-line with a module that fails to load is
not an error for the broker. The error can only be discovered by viewing the
broker log or using -t on the command-line. Should the failure to load a module
specified on the command-line cause the broker to fail to start?

Version-Release number of selected component (if applicable):
$ svn info
Path: .
URL: https://svn.apache.org/repos/asf/incubator/qpid/trunk/qpid
Repository Root: https://svn.apache.org/repos/asf
Repository UUID: 13f79535-47bb-0310-9956-ffa450edef68
Revision: 612486
Node Kind: directory
Schedule: normal
Last Changed Author: gsim
Last Changed Rev: 612478
Last Changed Date: 2008-01-16 09:18:34 -0600 (Wed, 16 Jan 2008)

How reproducible:
Always

Steps to Reproduce:
1. qpidd --load-module MRG
2.
3.
  
Actual results:
Daemon starts

Expected results:
Daemon fails to start and reports a message about the MRG module not loading,
similar to what is found when -t is added to the command-line

Additional info:

Note You need to log in before you can comment on or make changes to this bug.